body,
html {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  font-family: "Roboto", sans-serif;
  color: white;
  background-color: black;
}

.background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("fundo.webp") no-repeat center center;
  background-size: cover;
  filter: brightness(50%);
  transition: transform 0.3s ease-out;
  will-change: transform;
}

.content {
  padding-bottom: 150px;
  padding-top: 200px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: left;
  width: 60%;
  padding: 20px;
  transition: opacity 1s ease;
}

.content img {
  width: 420px;
  margin-right: 60px;
  transition: width 0.1s ease;
}

.expedition-text {
  max-width: 50%;
}

.expedition-text h1 {
  font-size: 48px;
  font-weight: 700;
  text-align: left;
  line-height: 1.2;
  margin: 0;
}

.expedition-text p {
  font-size: 20px;
  font-weight: 400;
  line-height: 1.6;
  text-align: left;
  margin-top: 10px;
}

.expedition-text h2 {
  text-align: center;
  font-size: 28px;
  font-weight: 600;
  margin-bottom: 15px;
}

.header {
  top: 0;
  background: linear-gradient(to bottom, black, transparent);
}

.footer {
  position: fixed;
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center; /* atualizado para alinhar verticalmente */
  bottom: 0px;
  background: linear-gradient(to top, black, transparent);
  color: white;
  font-size: 14px;
}

.header,
.footer {
  position: fixed;
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: end;
  color: white;
  font-size: 14px;
}

.button-container {
  position: fixed;
  right: 20px;
  bottom: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.whatsapp-button,
.location-button,
.home-button {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.whatsapp-button {
  background: #25d366;
  box-shadow: 0 0 10px 5px rgba(37, 211, 102, 0.5);
  animation: pulse 3s infinite;
}

.whatsapp-button img {
  width: 40px;
  height: 40px;
}

.location-button {
  background: #80817b;
  box-shadow: none;
}

.location-button img {
  width: 30px;
  height: 30px;
}

.home-button {
  background: #80817b;
  box-shadow: none;
}

.home-button img {
  filter: invert(100%);
  width: 30px;
  height: 30px;
}

.scroll-indicator {
  position: fixed;
  right: 20px;
  bottom: 40px;
  width: 50px;
  height: 50px;
  display: none;
  justify-content: center;
  align-items: center;
  animation: slide 1.5s infinite;
}

.scroll-indicator img {
  filter: invert(100%);
  width: 30px;
  height: 30px;
  opacity: 0.4;
}

.footer-content {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-bottom: 15px;
}

iframe {
  height: 200px;
  width: 100%;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes slide {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0);
  }
}

@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fade-out {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@media (max-width: 1500px) {
  .content {
    width: calc(50% + 25vw);
  }
}

@media (max-width: 1200px) {
  .content img {
    width: 350px;
  }
}

@media (max-width: 600px) {
  .content {
    padding-top: 120%;
  }
}

@media (max-width: 1000px) {
  .content {
    flex-direction: column;
    width: auto;
    transform: translate(0, -50%);
    left: 0;
    padding-bottom: 150px;
  }

  .header,
  .footer {
    height: 150px;
  }

  .content img {
    width: 150px;
    margin-right: 0px;
    transition: width 0.1s ease;
  }

  .expedition-text {
    max-width: 90%;
    padding-left: 0;
  }

  .expedition-text h1 {
    font-size: 36px;
  }

  .expedition-text p {
    font-size: 16px;
  }

  .button-container {
    display: -webkit-box;
    right: auto;
  }

  .fade {
    opacity: 0;
    transition: opacity 1s;
  }

  .fade-in {
    opacity: 1;
  }

  .whatsapp-button {
    margin-right: 16px;
  }
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: rgba(255, 255, 255, 0.1);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: rgba(255, 255, 255, 0.2);
}
